# Customize general fields

You can add an arbitrary number of tabs to the entry editor. These will be present for all entry types. To customize these tabs, go to **Options → Set up general fields**.

You specify one tab on each line. The line should start with the name of the tab, followed by a colon (:), and the fields it should contain, separated by semicolons (;).

For example:

```
General:url;keywords;doi;pdf
Abstract:abstract;annote
```

will give one tab named "General" containing the fields *url*, *keywords*, *doi* and *pdf*, and another tab named "Abstract" containing the fields *abstract* and *annote*.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jabref.org/v4/setup/generalfields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
